package pl.labno.bernard.geobytes.iplocator;

import pl.labno.bernard.geobytes.iplocator.rest.InfoUnmarshaller;
import pl.labno.bernard.geobytes.iplocator.rest.generated.IpInfo;
import yarfraw.core.datamodel.YarfrawException;

import javax.xml.bind.JAXBException;
import java.io.IOException;
import java.net.InetAddress;

public class Service {
    private String serviceURL = "http://www.geobytes.com/IpLocator.htm?GetLocation&template=xml.txt&IpAddress=";

    public String getServiceURL() {
        return serviceURL;
    }

    public void setServiceURL(String serviceURL) {
        this.serviceURL = serviceURL;
    }

    public IpInfo getInfo(InetAddress address) throws IOException, YarfrawException, JAXBException {
        return InfoUnmarshaller.unmarshal(serviceURL + address.getHostAddress());
    }

}
