package pl.labno.bernard.geobytes.iplocator;

import org.junit.Assert;
import org.junit.Test;
import pl.labno.bernard.geobytes.iplocator.rest.generated.IpInfo;
import yarfraw.core.datamodel.YarfrawException;

import javax.xml.bind.JAXBException;
import java.io.IOException;
import java.net.Inet4Address;

public class ServiceTest {

    @Test
    public void testGetRecentExchangeTable() throws YarfrawException, IOException, JAXBException {
        final Service service = new Service();
        IpInfo info = service.getInfo(Inet4Address.getByAddress(new byte[]{87, (byte) 207, 25, (byte) 131}));
        Assert.assertNotNull(info);
        Assert.assertEquals(197, info.getCountryid());
        info = service.getInfo(Inet4Address.getByAddress(new byte[]{(byte) 165, 69, 10, 27}));
        Assert.assertNotNull(info);
        Assert.assertEquals(14, info.getCountryid());
    }
}
